/*
Fichier gnr automatiquement pour l'instrument 
*/

#include "plugin.h"

#define NOMBRE_VOIES_MESURE1D 1
 



typedef struct
{

	char nom_instrument[128];
			


	int com_port;


/*-------------------------------------
  Ne placez en dessous de cette ligne
  que des variables qui NE doivent PAS
  etre sauvegardes.				
---------------------------------------*/
	char dont_remove_me;

	unsigned int numero_mes1D[NOMBRE_VOIES_MESURE1D];
	double zone_memoire_mes1D[NOMBRE_VOIES_MESURE1D];


	


}infos_DGM110;


// Fonctions obligatoires
static void DGM110_nouveau( PInstrument** );
static void DGM110_liberer( PInstrument* );
static void DGM110_get_nom( PInstrument*, char* );
static void DGM110_set_nom( PInstrument*, char* );
static void DGM110_configure( PInstrument* );
static void DGM110_get_config( PInstrument*, void**, void**, size_t*, char* );

static void DGM110_stop( PInstrument* );
static int DGM110_start( PInstrument* );
static int DGM110_init( PInstrument* );



static int DGM110_nb_voies_1D( PInstrument* );
static void DGM110_get_nom_voie_1D( PInstrument*, int, char* );
static double DGM110_mesure_1D( PInstrument*, int );
static unsigned int DGM110_numero_1D( PInstrument*, int );

void CVICALLBACK DGM_comint(int COMPort, int eventMask, void *CallbackData);

