/*
Fichier gnr automatiquement pour l'instrument Electrovanne
*/

#include "plugin.h"

 



typedef struct
{

	char nom_instrument[128];
	int panel_pilotage;
	
	char etat_vanne;		// Variable contenant l'tat de la vanne : 0 tat par dfaut,
							// 1 actionnement de l'lectrovanne.

/*-------------------------------------
  Ne placez en dessous de cette ligne
  que des variables qui NE doivent PAS
  etre sauvegardes.				
---------------------------------------*/
	char dont_remove_me;



	


}infos_Electrovanne;


// Fonctions obligatoires
static void Electrovanne_nouveau( PInstrument** );
static void Electrovanne_liberer( PInstrument* );
static void Electrovanne_get_nom( PInstrument*, char* );
static void Electrovanne_set_nom( PInstrument*, char* );
static void Electrovanne_configure( PInstrument* );
static void Electrovanne_get_config( PInstrument*, void**, void**, size_t*, char* );

static void Electrovanne_stop( PInstrument* );
static int Electrovanne_start( PInstrument* );
static int Electrovanne_init( PInstrument* );
static int Electrovanne_status( PInstrument* );
static void Electrovanne_execute( PInstrument*, char* );
static void Electrovanne_piloter( PInstrument* );




