/*
Fichier gnr automatiquement pour l'instrument Regul Acoustic
*/

#include "plugin.h"

#define NOMBRE_VOIES_MESURE1D 2
 



typedef struct
{

	char nom_instrument[128];
	int com_port;
	int panel_pilotage;
	
// Variable utilisateur
	double	consigne;

/*-------------------------------------
  Ne placez en dessous de cette ligne
  que des variables qui NE doivent PAS
  etre sauvegardes.				
---------------------------------------*/
	char dont_remove_me;

	unsigned int numero_mes1D[NOMBRE_VOIES_MESURE1D];
	double zone_memoire_mes1D[NOMBRE_VOIES_MESURE1D];


}infos_Regul_Acoustic;


// Fonctions obligatoires
static void Regul_Acoustic_nouveau( PInstrument** );
static void Regul_Acoustic_liberer( PInstrument* );
static void Regul_Acoustic_get_nom( PInstrument*, char* );
static void Regul_Acoustic_set_nom( PInstrument*, char* );
static void Regul_Acoustic_configure( PInstrument* );
static void Regul_Acoustic_get_config( PInstrument*, void**, void**, size_t*, char* );

static void Regul_Acoustic_stop( PInstrument* );
static int Regul_Acoustic_start( PInstrument* );
static int Regul_Acoustic_init( PInstrument* );
static void Regul_Acoustic_execute( PInstrument*, char* );
static void Regul_Acoustic_piloter( PInstrument* );



static int Regul_Acoustic_nb_voies_1D( PInstrument* );
static void Regul_Acoustic_get_nom_voie_1D( PInstrument*, int, char* );
static double Regul_Acoustic_mesure_1D( PInstrument*, int );
static unsigned int Regul_Acoustic_numero_1D( PInstrument*, int );


// Fonctions du rgulateur
void write_consigne_rs232(infos_Regul_Acoustic *);
void CVICALLBACK Regul_Acoustic_com_int(int, int, void *);
