/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_INSTR                         1
#define  P_INSTR_CB_OK                   2       /* callback function: CB_Electrovanne_config_ok */
#define  P_INSTR_BS_SIDE                 3

#define  P_PILOT                         2
#define  P_PILOT_CB_OK                   2       /* callback function: CB_Electrovanne_pilot_OK */
#define  P_PILOT_CB_HIDE                 3       /* callback function: CB_Electrovanne_hide */
#define  P_PILOT_BS_SIDE                 4


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_Electrovanne_config_ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Electrovanne_hide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Electrovanne_pilot_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
