/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_INSTR                         1
#define  P_INSTR_CB_OK                   2       /* callback function: CB_Pompe_Ismatec_config_ok */
#define  P_INSTR_RG_COM_ID               3
#define  P_INSTR_DIAMETRE                4

#define  P_PILOT                         2
#define  P_PILOT_CB_HIDE                 2       /* callback function: CB_Pompe_Ismatec_hide */
#define  P_PILOT_DEBIT                   3
#define  P_PILOT_OK_DEBIT                4       /* callback function: CB_debit_changed */
#define  P_PILOT_SENS_ROT                5       /* callback function: sensos_rot */
#define  P_PILOT_LED                     6
#define  P_PILOT_STRING                  7
#define  P_PILOT_ETAT                    8       /* callback function: ETAT_POMPE */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_debit_changed(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pompe_Ismatec_config_ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pompe_Ismatec_hide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ETAT_POMPE(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sensos_rot(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
