/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_INSTR                         1
#define  P_INSTR_NUM_PS_ID               2       /* callback function: CB_Pousse_Seringue_nb_PS */
#define  P_INSTR_RG_COM_ID               3
#define  P_INSTR_CB_OK                   4       /* callback function: CB_Pousse_Seringue_config_ok */
#define  P_INSTR_NUM_PS_ID_1             5
#define  P_INSTR_STR_PS_ID_1             6
#define  P_INSTR_NUM_DIA_ID_1            7
#define  P_INSTR_NUM_RAT_ID_1            8
#define  P_INSTR_RG_DIR_ID_1             9
#define  P_INSTR_DECORATION              10
#define  P_INSTR_NUM_PS_ID_2             11
#define  P_INSTR_STR_PS_ID_2             12
#define  P_INSTR_NUM_DIA_ID_2            13
#define  P_INSTR_NUM_RAT_ID_2            14
#define  P_INSTR_RG_DIR_ID_2             15
#define  P_INSTR_DECORATION_2            16
#define  P_INSTR_NUM_PS_ID_3             17
#define  P_INSTR_STR_PS_ID_3             18
#define  P_INSTR_NUM_DIA_ID_3            19
#define  P_INSTR_NUM_RAT_ID_3            20
#define  P_INSTR_RG_DIR_ID_3             21
#define  P_INSTR_DECORATION_3            22
#define  P_INSTR_NUM_PS_ID_4             23
#define  P_INSTR_STR_PS_ID_4             24
#define  P_INSTR_NUM_DIA_ID_4            25
#define  P_INSTR_NUM_RAT_ID_4            26
#define  P_INSTR_RG_DIR_ID_4             27
#define  P_INSTR_DECORATION_4            28

#define  P_PILOT                         2
#define  P_PILOT_CB_HIDE                 2       /* callback function: CB_Pousse_Seringue_pilot_hide */
#define  P_PILOT_LB_ID_1                 3
#define  P_PILOT_NUM_RAT_ID_1            4       /* callback function: NUM_Pousse_Seringue_pilot_RAT */
#define  P_PILOT_RG_DIR_ID_1             5       /* callback function: RG_Pousse_Seringue_pilot_DIR */
#define  P_PILOT_LED_RUN_ID_1            6
#define  P_PILOT_CB_RUN_ID_1             7       /* callback function: CB_Pousse_Seringue_pilot_RUN */
#define  P_PILOT_CB_STP_ID_1             8       /* callback function: CB_Pousse_Seringue_pilot_STP */
#define  P_PILOT_DECORATION              9
#define  P_PILOT_LB_ID_2                 10
#define  P_PILOT_NUM_RAT_ID_2            11      /* callback function: NUM_Pousse_Seringue_pilot_RAT */
#define  P_PILOT_RG_DIR_ID_2             12      /* callback function: RG_Pousse_Seringue_pilot_DIR */
#define  P_PILOT_LED_RUN_ID_2            13
#define  P_PILOT_CB_RUN_ID_2             14      /* callback function: CB_Pousse_Seringue_pilot_RUN */
#define  P_PILOT_CB_STP_ID_2             15      /* callback function: CB_Pousse_Seringue_pilot_STP */
#define  P_PILOT_DECORATION_2            16
#define  P_PILOT_LB_ID_3                 17
#define  P_PILOT_NUM_RAT_ID_3            18      /* callback function: NUM_Pousse_Seringue_pilot_RAT */
#define  P_PILOT_RG_DIR_ID_3             19      /* callback function: RG_Pousse_Seringue_pilot_DIR */
#define  P_PILOT_LED_RUN_ID_3            20
#define  P_PILOT_CB_RUN_ID_3             21      /* callback function: CB_Pousse_Seringue_pilot_RUN */
#define  P_PILOT_CB_STP_ID_3             22      /* callback function: CB_Pousse_Seringue_pilot_STP */
#define  P_PILOT_DECORATION_3            23
#define  P_PILOT_LB_ID_4                 24
#define  P_PILOT_NUM_RAT_ID_4            25      /* callback function: NUM_Pousse_Seringue_pilot_RAT */
#define  P_PILOT_RG_DIR_ID_4             26      /* callback function: RG_Pousse_Seringue_pilot_DIR */
#define  P_PILOT_LED_RUN_ID_4            27
#define  P_PILOT_CB_RUN_ID_4             28      /* callback function: CB_Pousse_Seringue_pilot_RUN */
#define  P_PILOT_CB_STP_ID_4             29      /* callback function: CB_Pousse_Seringue_pilot_STP */
#define  P_PILOT_DECORATION_4            30
#define  P_PILOT_LS_RS232_ID             31


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_Pousse_Seringue_config_ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pousse_Seringue_nb_PS(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pousse_Seringue_pilot_hide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pousse_Seringue_pilot_RUN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Pousse_Seringue_pilot_STP(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK NUM_Pousse_Seringue_pilot_RAT(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RG_Pousse_Seringue_pilot_DIR(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
