/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_Conf_F_2                      1
#define  P_Conf_F_2_RING_Conf_Digit_Freq 2
#define  P_Conf_F_2_BINARYSW_Conf_Couplag 3
#define  P_Conf_F_2_BINARYSW_Conf_Attenua 4
#define  P_Conf_F_2_BINARYSW_Conf_Filtre 5
#define  P_Conf_F_2_BINARYSW_Conf_Impedan 6
#define  P_Conf_F_2_Conf_OK2V            7       /* callback function: Conf_F2V_OK */
#define  P_Conf_F_2_NUM_WD_Delay         8
#define  P_Conf_F_2_NUM_Conf_Adr_Freq    9

#define  P_WD                            2
#define  P_WD_TIMER                      2       /* callback function: CB_freq2voies_watchdog */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_freq2voies_watchdog(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Conf_F2V_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
