/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_OGL                           1       /* callback function: P_Graph3D_Callback */
#define  P_OGL_RING                      2
#define  P_OGL_CENTER                    3       /* callback function: CB_Center */
#define  P_OGL_Z_OUT                     4
#define  P_OGL_NUMERIC                   5


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_Center(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK P_Graph3D_Callback(int panel, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
