// fichier powswitch.h

#include "plugin.h"

typedef struct	
	{
	int identificateur;
	int adresse_gpib;
	int bit_choisi;
	int capteur;
	int frequence_fonctionnement;
	int stop_interruption;
	int nombre_voie;
	unsigned int numero_mesure[4];
	double zone_memoire[4];
	int etat_switch;
	char nom_instru[128];
	}infos_power_switch;



//int initialisation_powermeter_AB_switch_int(infos_power_switch *data_switch);
//int miseenplace_int_powermeter_AB_switch(infos_power_switch *data_switch);
int __stdcall CB_interruption_powermeter_AB_switch(int boardOrDevice, int sta, int err, long cntl,void *callbackData);
//int arreter_interruption_powermeter_AB_switch(infos_power_switch *data_switch);

static void power_SW_nouveau(PInstrument **power_SW);
static void power_SW_liberer(PInstrument *instru);
static void power_SW_get_nom(PInstrument *instrument, char *nom_instru);
static void power_SW_set_nom(PInstrument *instrument, char *nom_instru);
static void power_SW_configure(PInstrument *power_SW);
static void power_SW_getconfig(PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int power_SW_nb_voie(PInstrument *power_SW);
static void power_SW_get_nom_voie(PInstrument *power_SW, int voie, char *nom_voie);
static double power_SW_mesure(PInstrument *power_SW, int voie);
static unsigned int power_SW_numero(PInstrument *power_SW, int voie);
static int power_SW_digits(PInstrument *power_SW);

static void arreter_interruption_powermeter_AB_switch(PInstrument *power_SW);
int miseenplace_int_powermeter_AB_switch(PInstrument *power_SW);
int initialisation_powermeter_AB_switch_int(PInstrument *power_SW);

int verif_erreur(int identificateur);
