#include "plugin.h"
#define STACK_SIZE 1024

typedef struct	
{
	char chaine[100];
	
	char nom_pilot[128];
	char tatoo_voie1[30];
	char tatoo_voie2[30];
	char tatoo_voie3[30];
	int stack_height;
	
	// Zone  ne pas sauvegarder
	
	double stack[STACK_SIZE]; 
	
	double mesure;
} infos_calcul;

static void bidon_nouveau (PInstrument **instrument);
static void bidon_liberer (PInstrument *instrument);
static void bidon_configure (PInstrument *instrument);
static void bidon_get_config (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int bidon_nb_voie (PInstrument *instrument);
static void bidon_get_nom_voie (PInstrument *instrument, int voie, char *nom_voie);
static void bidon_get_nom (PInstrument *instrument, char *nom_instru);
static void bidon_set_nom (PInstrument *instrument, char *nom_instru);
static double bidon_mesure (PInstrument *instrument, int voie);
static unsigned int bidon_numero (PInstrument *instrument, int voie);
static void bidon_calculer (PInstrument *instrument);//, ptr_buff_circu *buffer_circu, ptr_buff2D_circu *buffer2D_circu);
static int bidon_init (PInstrument *instrument);

static void calculer(infos_calcul *structu_bidon,double mesure1,double mesure2,double mesure3);

