/*
Fichier gnr automatiquement pour l'instrument GBF HP3312A
*/

#include "plugin.h"

 



typedef struct
{

	char nom_instrument[128];
	int identificateur;		

	int gpib_ID;
	int gpib_adresse;


	int panel_pilotage;

/*-------------------------------------
  Ne placez en dessous de cette ligne
  que des variables qui NE doivent PAS
  etre sauvegardes.				
---------------------------------------*/
	char dont_remove_me;

	double BMRate;
	int BMNbCyc;

	


}infos_GBF_HP3312A;


// Fonctions obligatoires
static void GBF_HP3312A_nouveau( PInstrument** );
static void GBF_HP3312A_liberer( PInstrument* );
static void GBF_HP3312A_get_nom( PInstrument*, char* );
static void GBF_HP3312A_set_nom( PInstrument*, char* );
static void GBF_HP3312A_configure( PInstrument* );
static void GBF_HP3312A_get_config( PInstrument*, void**, void**, size_t*, char* );

static int GBF_HP3312A_init( PInstrument* );
static void GBF_HP3312A_execute( PInstrument*, char* );
static void GBF_HP3312A_piloter( PInstrument* );




