#include "hp5313xa.h"
#include "globales.h"
#include <visa.h>
#include <userint.h>
#include <gpib.h>
#include <ansi_c.h>
// fichier globales.c
// diverses fonctions utilitaires


void analyse_msg_VI(char* chaine,int err)
{
char chaine2[256];
viStatusDesc (VI_NULL, err, chaine2);
MessagePopup(chaine, chaine2);
}

int ibecr(int gpib_id,char *chaine)
{
int err=0x100; // Succs d'criture sur le bus GPIB
	
err = ibwrt(gpib_id,chaine,strlen(chaine)+1);

return err ;
}

int ibecr2(int gpib_id,char *chaine)
{
int err=0x100; // Succs d'criture sur le bus GPIB
	
err = ibwrt(gpib_id,chaine,strlen(chaine));

return err ;
}

void analyse_msg_freq(char* chaine,int err)
{
char chaine2[256];
hp5313xa_errorMessage (VI_NULL, err, chaine2);
MessagePopup(chaine, chaine2);
}

void SwapEndian(void *Dest, void* Addr, const int Nb)
{
	char *Swapped = Dest;
	switch (Nb)
	{
		case 2:	Swapped[0]=*((char*)Addr+1);
				Swapped[1]=*((char*)Addr  );
				break;
		case 4:	Swapped[0]=*((char*)Addr+3);
				Swapped[1]=*((char*)Addr+2);
				Swapped[2]=*((char*)Addr+1);
				Swapped[3]=*((char*)Addr  );
				break;
		case 8:	Swapped[0]=*((char*)Addr+7);
				Swapped[1]=*((char*)Addr+6);
				Swapped[2]=*((char*)Addr+5);
				Swapped[3]=*((char*)Addr+4);
				Swapped[4]=*((char*)Addr+3);
				Swapped[5]=*((char*)Addr+2);
				Swapped[6]=*((char*)Addr+1);
				Swapped[7]=*((char*)Addr  );
				break;
		case 16:Swapped[0]=*((char*)Addr+15);
				Swapped[1]=*((char*)Addr+14);
				Swapped[2]=*((char*)Addr+13);
				Swapped[3]=*((char*)Addr+12);
				Swapped[4]=*((char*)Addr+11);
				Swapped[5]=*((char*)Addr+10);
				Swapped[6]=*((char*)Addr+9);
				Swapped[7]=*((char*)Addr+8);
				Swapped[8]=*((char*)Addr+7);
				Swapped[9]=*((char*)Addr+6);
				Swapped[10]=*((char*)Addr+5);
				Swapped[11]=*((char*)Addr+4);
				Swapped[12]=*((char*)Addr+3);
				Swapped[13]=*((char*)Addr+2);
				Swapped[14]=*((char*)Addr+1);
				Swapped[15]=*((char*)Addr  );
				break;
	}
}
