/*
Fichier gnr automatiquement pour l'instrument HP53131 - phase
*/

#include "plugin.h"

#define NOMBRE_VOIES_MESURE1D 1
 



typedef struct
{

	char nom_instrument[128];
	int identificateur;

	int stop_interruption;
	int gpib_adresse;
	int mode;
	int aver_coun;

/*-------------------------------------
  Ne placez en dessous de cette ligne
  que des variables qui NE doivent PAS
  etre sauvegardes.				
---------------------------------------*/
	char dont_remove_me;

	unsigned int numero_mesure;
	double zone_memoire;

}infos_HP53131_phase;


// Fonctions obligatoires
static void HP53131_phase_nouveau( PInstrument** );
static void HP53131_phase_liberer( PInstrument* );
static void HP53131_phase_get_nom( PInstrument*, char* );
static void HP53131_phase_set_nom( PInstrument*, char* );
static void HP53131_phase_configure( PInstrument* );
static void HP53131_phase_get_config( PInstrument*, void**, void**, size_t*, char* );

static void HP53131_phase_stop( PInstrument* );
static int HP53131_phase_start( PInstrument* );
static int HP53131_phase_init( PInstrument* );



static int HP53131_phase_nb_voies_1D( PInstrument* );
static void HP53131_phase_get_nom_voie_1D( PInstrument*, int, char* );
static double HP53131_phase_mesure_1D( PInstrument*, int );
static unsigned int HP53131_phase_numero_1D( PInstrument*, int );

int __stdcall CB_interruption_phase(int boardOrDevice, int localsta, int localerr, long localcntl, void *callbackData);

