/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_Commande                      1
#define  P_Commande_Marquage             2
#define  P_Commande_COMMANDBUTTON        3       /* callback function: CB_Marquer */
#define  P_Commande_Marquage_2           4
#define  P_Commande_COMMANDBUTTON_2      5       /* callback function: CB_Marquer_2 */
#define  P_Commande_Marquage_3           6
#define  P_Commande_COMMANDBUTTON_3      7       /* callback function: CB_Marquer_3 */
#define  P_Commande_DeMarquage           8
#define  P_Commande_COMMANDBUTTON_4      9       /* callback function: CB_DeMarquer */
#define  P_Commande_N_TEch               10
#define  P_Commande_N_sous_ech_2D        11
#define  P_Commande_TimeLimit            12
#define  P_Commande_GPIB_SCAN            13      /* callback function: Prog_Scan_GPIB */
#define  P_Commande_COMMANDBUTTON_Acq    14      /* callback function: Prog_Acquisition */
#define  P_Commande_COMMANDBUTTON_Quit   15      /* callback function: Prog_Quitter */
#define  P_Commande_PICTUREBUTTON_Load   16      /* callback function: Prog_Charger_Fichier */
#define  P_Commande_PICTUREBUTTON_Save   17      /* callback function: Prog_Sauvegarde */
#define  P_Commande_CHECKBOX             18
#define  P_Commande_Mode_Fichier         19
#define  P_Commande_ECHANTILLON          20      /* callback function: Prog_Echantillon */
#define  P_Commande_STATUS               21
#define  P_Commande_PLUGINTAB            22      /* callback function: CB_TABS */

#define  P_Graphs                        2
#define  P_Graphs_NUMERIC                2       /* callback function: CB_nb_graphes */
#define  P_Graphs_N_long                 3
#define  P_Graphs_N_mid                  4
#define  P_Graphs_N_nbpointsgraphs       5

#define  P_Instru                        3
#define  P_Instru_LISTBOX_Liste          2       /* callback function: Prog_Liste */
#define  P_Instru_Ajouter                3       /* callback function: Prog_Ajouter */
#define  P_Instru_Supprimer              4       /* callback function: Prog_Supprimer */
#define  P_Instru_RAZ                    5       /* callback function: Prog_Supprimer_Tout_Instru */
#define  P_Instru_Renommer               6       /* callback function: Prog_Renommer */
#define  P_Instru_Proprietes             7       /* callback function: Prog_Proprietes */
#define  P_Instru_Piloter                8       /* callback function: Prog_PiloterI */

#define  P_RENOMMER                      4
#define  P_RENOMMER_COMMANDBUTTON        2       /* callback function: OK_RENOMMER */
#define  P_RENOMMER_NOM_INSTRUMENT       3

#define  P_SCAN                          5
#define  P_SCAN_BTN_SCAN                 2       /* callback function: DO_Scan */
#define  P_SCAN_BTN_DONE                 3       /* callback function: Fermer_Scan */
#define  P_SCAN_TABLE                    4

#define  P_Synchro                       6
#define  P_Synchro_TBN_Synchobanc        2       /* callback function: CB_synchrobanc */
#define  P_Synchro_S_nomfichier          3
#define  P_Synchro_TEXTMSG_synchromes    4

#define  PANEL_Ajou                      7
#define  PANEL_Ajou_CANCEL               2       /* callback function: Prog_Ajouter_Annuler */
#define  PANEL_Ajou_COMMANDBUTTON_OK     3       /* callback function: Prog_Ajouter_OK */
#define  PANEL_Ajou_RING_Ajou_Type       4

#define  PANEL_Time                      8
#define  PANEL_Time_TIMER_echantillon    2       /* callback function: CB_T_echantillon */
#define  PANEL_Time_T_synchrobanc        3       /* callback function: CB_T_Synchroban */
#define  PANEL_Time_T_Attente            4       /* callback function: CB_T_Attente */
#define  PANEL_Time_TIMER_SEQ            5       /* callback function: CB_T_Seq */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_DeMarquer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Marquer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Marquer_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Marquer_3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_nb_graphes(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_synchrobanc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_T_Attente(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_T_echantillon(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_T_Seq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_T_Synchroban(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_TABS(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DO_Scan(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Fermer_Scan(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OK_RENOMMER(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Acquisition(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Ajouter(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Ajouter_Annuler(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Ajouter_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Charger_Fichier(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Echantillon(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Liste(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_PiloterI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Proprietes(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Quitter(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Renommer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Sauvegarde(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Scan_GPIB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Supprimer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Supprimer_Tout_Instru(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
