/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_PILOT                         1
#define  P_PILOT_CB_HIDE                 2       /* callback function: CB_GBF_HP3312A_hide */
#define  P_PILOT_FORME                   3       /* callback function: CB_Forme */
#define  P_PILOT_Frequence               4
#define  P_PILOT_Amplitude               5
#define  P_PILOT_Rate                    6
#define  P_PILOT_Burst                   7       /* callback function: CB_Burst */
#define  P_PILOT_NbCycle                 8
#define  P_PILOT_DECORATION              9


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_Burst(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Forme(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_GBF_HP3312A_hide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
