/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_INSTR                         1
#define  P_INSTR_CB_OK                   2       /* callback function: CB_Regul_Acoustic_config_ok */
#define  P_INSTR_RG_COM_ID               3
#define  P_INSTR_NUM_CONSIGNE_ID         4

#define  P_PILOT                         2
#define  P_PILOT_CB_HIDE                 2       /* callback function: CB_Regul_Acoustic_hide */
#define  P_PILOT_NUM_CONSIGNE_ID         3
#define  P_PILOT_CB_VALIDATE_ID          4       /* callback function: CB_Regul_Acoustic_pilot_VALIDATE */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_Regul_Acoustic_config_ok(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Regul_Acoustic_hide(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_Regul_Acoustic_pilot_VALIDATE(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
