/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_config                        1
#define  P_config_COMMANDBUTTON          2       /* callback function: OK_config_calcul_boucle */
#define  P_config_RING2                  3
#define  P_config_RING1                  4
#define  P_config_STRING                 5
#define  P_config_CACHER                 6       /* callback function: CACHER_config_calcul_boucle */
#define  P_config_MODE                   7       /* callback function: MODE_config_calcul_boucle */
#define  P_config_ENVOI                  8       /* callback function: ENVOI_config_calcul_boucle */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CACHER_config_calcul_boucle(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ENVOI_config_calcul_boucle(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK MODE_config_calcul_boucle(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OK_config_calcul_boucle(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
