/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_config                        1
#define  P_config_NUMERIC                2
#define  P_config_BUTTON_OK              3       /* callback function: OK_conf */
#define  P_config_DECORATION             4

#define  P_PILOT                         2
#define  P_PILOT_COMMANDBUTTON           2       /* callback function: Cacher */
#define  P_PILOT_NUMERIC                 3
#define  P_PILOT_DECORATION              4
#define  P_PILOT_BUTTON_2                5       /* callback function: OK_pilote */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cacher(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OK_conf(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OK_pilote(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
