/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_AFF_TAB                       1
#define  P_AFF_TAB_TABLE                 2

#define  P_Choix                         2
#define  P_Choix_OK_AXES                 2       /* callback function: Choix_echelles */
#define  P_Choix_RING_Choix_Echelle_D    3       /* callback function: Choix_Echelle_Droite */
#define  P_Choix_RING_Choix_Echelle_G    4       /* callback function: Choix_Echelle_Gauche */
#define  P_Choix_NUM_Val_MIN_Droite      5
#define  P_Choix_NUM_Val_MAX_Droite      6
#define  P_Choix_NUM_Val_Centrage_D      7
#define  P_Choix_NUM_Val_MIN_Gauche      8
#define  P_Choix_NUM_Val_MAX_Gauche      9
#define  P_Choix_NUM_Val_Centrage_G      10

#define  P_Graph                         3       /* callback function: CB_panel_graph */
#define  P_Graph_GRAPH_3                 2
#define  P_Graph_GRAPH_2                 3
#define  P_Graph_GRAPH                   4       /* callback function: Prog_Graph_Choix_Axe */
#define  P_Graph_DIFF_VOIE_1_2           5
#define  P_Graph_DIFF_VOIE_2_2           6
#define  P_Graph_DIFF_VOIE_1_1           7
#define  P_Graph_DIFF_VOIE_2_1           8
#define  P_Graph_DIFF_VOIE_1             9
#define  P_Graph_DIFF_VOIE_2             10
#define  P_Graph_TRACE_DROIT             11
#define  P_Graph_TRACE_GAUCHE            12
#define  P_Graph_CHK_ENABLE_3            13      /* callback function: CB_enable_graph_3 */
#define  P_Graph_CHK_ENABLE_2            14      /* callback function: CB_enable_graph_2 */
#define  P_Graph_RG_COLOR_D              15      /* callback function: CB_ring_color_right */
#define  P_Graph_RG_COLOR_G              16      /* callback function: CB_ring_color_left */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CB_enable_graph_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_enable_graph_3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_panel_graph(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_ring_color_left(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CB_ring_color_right(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Choix_Echelle_Droite(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Choix_Echelle_Gauche(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Choix_echelles(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Graph_Choix_Axe(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
