/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL_bode                      1
#define  PANEL_bode_REGLAGE              2
#define  PANEL_bode_START                3
#define  PANEL_bode_STOP                 4
#define  PANEL_bode_CENTER               5
#define  PANEL_bode_SPAN                 6
#define  PANEL_bode_GPIB                 7
#define  PANEL_bode_OSCLEV               8
#define  PANEL_bode_MOY                  9
#define  PANEL_bode_SWEEP                10
#define  PANEL_bode_REF_ATT              11
#define  PANEL_bode_REF_IMP              12
#define  PANEL_bode_TRIG                 13
#define  PANEL_bode_MODE                 14
#define  PANEL_bode_TEST_ATT             15
#define  PANEL_bode_TEST_IMP             16
#define  PANEL_bode_COMMANDBUTTON_OK     17      /* callback function: BODE_OK */
#define  PANEL_bode_TEXTMSG              18
#define  PANEL_bode_TEXTMSG_2            19
#define  PANEL_bode_DECORATION           20
#define  PANEL_bode_DECORATION_2         21
#define  PANEL_bode_DECORATION_3         22
#define  PANEL_bode_DECORATION_4         23
#define  PANEL_bode_DECORATION_5         24


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK BODE_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
