/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  Conf_PowSw                      1
#define  Conf_PowSw_RING_Conf_2ndSw_Power 2
#define  Conf_PowSw_RING_Conf_Sw_Power   3
#define  Conf_PowSw_RING_Conf_Capt_Power 4       /* callback function: Prog_Configuration_Power_Choix_Voie */
#define  Conf_PowSw_OK_POWSW             5       /* callback function: PowSw_OK */
#define  Conf_PowSw_TEXTMSG              6
#define  Conf_PowSw_NUM_Conf_Adr_Power   7
#define  Conf_PowSw_NUM_Conf_Freq_Fct_Pow 8


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PowSw_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Prog_Configuration_Power_Choix_Voie(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
