/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_CFG_TEK                       1
#define  P_CFG_TEK_MATH2                 2
#define  P_CFG_TEK_MATHF                 3
#define  P_CFG_TEK_TRIGAEDGSOU           4
#define  P_CFG_TEK_MATH1                 5
#define  P_CFG_TEK_FENETRE               6
#define  P_CFG_TEK_TRIGAEDGCOUP          7
#define  P_CFG_TEK_CH2COUP               8
#define  P_CFG_TEK_CH2BAN                9
#define  P_CFG_TEK_CH2IMP                10
#define  P_CFG_TEK_CH2PROBE              11
#define  P_CFG_TEK_CH1COUP               12
#define  P_CFG_TEK_CH1BAN                13
#define  P_CFG_TEK_CH1IMP                14
#define  P_CFG_TEK_STRING_5              15
#define  P_CFG_TEK_CH1PROBE              16
#define  P_CFG_TEK_STRING_4              17
#define  P_CFG_TEK_STRING_3              18
#define  P_CFG_TEK_STRING_2              19
#define  P_CFG_TEK_STRING                20
#define  P_CFG_TEK_CH2SCA                21
#define  P_CFG_TEK_CH2OFF                22
#define  P_CFG_TEK_ACQMOD                23
#define  P_CFG_TEK_HOR_unit              24
#define  P_CFG_TEK_CH2INV                25
#define  P_CFG_TEK_HORMAISCA             26
#define  P_CFG_TEK_ACQNUMAV              27
#define  P_CFG_TEK_ACQNUME               28
#define  P_CFG_TEK_SELCH2                29
#define  P_CFG_TEK_CH1SCA                30
#define  P_CFG_TEK_CH1OFF                31
#define  P_CFG_TEK_TRIGALEV              32
#define  P_CFG_TEK_HORTRIGPOS            33
#define  P_CFG_TEK_CH1INV                34
#define  P_CFG_TEK_HORRECORD             35
#define  P_CFG_TEK_LINLOG                36
#define  P_CFG_TEK_SELMATH               37
#define  P_CFG_TEK_SELCH1                38
#define  P_CFG_TEK_TRIGAEDGSLO           39
#define  P_CFG_TEK_GPIB                  40
#define  P_CFG_TEK_COMMANDBUTTON         41      /* callback function: TEK_OK */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK TEK_OK(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
