/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P_config                        1
#define  P_config_BUTTON_OK              2       /* callback function: OK_config_valve */

#define  P_PILOT                         2
#define  P_PILOT_COMMANDBUTTON           2       /* callback function: Cacher_Pilotage_Valve */
#define  P_PILOT_COMMANDBUTTON_2         3       /* callback function: Pschit_valve */
#define  P_PILOT_NUMERIC                 4       /* callback function: duree_valve */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cacher_Pilotage_Valve(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK duree_valve(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OK_config_valve(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Pschit_valve(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
