#include "plugin.h"

typedef struct	
{
	int identificateur;
	int adresse; // GPIB / COM / autre
	char nom_pilot[128];
	int panel_pilotage;
} infos_pilote;

static void bidon_nouveau(PInstrument **bidon);
static void bidon_liberer(PInstrument *bidon);
static void bidon_configure(PInstrument *bidon);
static void bidon_getconfig (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static void bidon_get_nom (PInstrument *bidon, char *nom_pilot);
static void bidon_set_nom (PInstrument *bidon, char *nom_pilot);
static int bidon_status (PInstrument *bidon);
static void bidon_execute (PInstrument *bidon, char *chaine);
static int bidon_init (PInstrument *bidon);
static void bidon_piloter(PInstrument *bidon);
static int bidon_nb_voie(PInstrument *bidon);
static void bidon_get_nom_voie(PInstrument *bidon, int voie, char *nom_voie);
static int bidon_get_taille_voie(PInstrument *bidon, int voie);
static void bidon_mesure(PInstrument *bidon, int voie, double *mesure);
static void bidon_indices(PInstrument *bidon, int voie, double *indices);
static unsigned int bidon_numero(PInstrument *bidon, int voie);
