#include "plugin.h"

typedef struct	
{
	char nom_pilot[128];
	char tatoo_voie[30];
	double moyenne;
	double stddev;
	double median;
	int taille_median;
} infos_stddev;

static void stddev_nouveau (PInstrument **stddev);
static void stddev_liberer (PInstrument *stddev);
static void stddev_configure (PInstrument *stddev);
static void stddev_get_config (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int stddev_nb_voie (PInstrument *instrument);
static void stddev_get_nom_voie (PInstrument *instrument, int voie, char *nom_voie);
static void stddev_get_nom (PInstrument *stddev, char *nom_instru);
static void stddev_set_nom (PInstrument *stddev, char *nom_instru);
static double stddev_mesure (PInstrument *instrument, int voie);
static void stddev_calculer (PInstrument *instrument);//, ptr_buff_circu *buffer_circu, ptr_buff2D_circu *buffer2D_circu);
static int stddev_init (PInstrument *instrument);
