#include "plugin.h" 

typedef struct	
{
	int identificateur;
	int adresse_GPIB; // GPIB / COM / autre
	float Temp;
	char nom_pilot[128];
	char nom_instru[128];
	int id_enceinte;
	int panel_pilotage;									
	
	// Zone  ne pas sauvegarder
	
	double zone_memoire[2];
	
} info_enceinte;

static void enceinte_nouveau(PInstrument **enceinte);
static void enceinte_liberer(PInstrument *enceinte);
static void enceinte_configure(PInstrument *enceinte);
static void enceinte_getconfig (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static void enceinte_get_nom (PInstrument *enceinte, char *nom_pilot);
static void enceinte_set_nom (PInstrument *enceinte, char *nom_pilot);
static int enceinte_init (PInstrument *enceinte);
static int enceinte_status (PInstrument *enceinte);
static void enceinte_execute (PInstrument *enceinte, char *chaine);
static void enceinte_piloter(PInstrument *enceinte);					 
static void Debut_enceinte(int);
static void Ecrit_Eurotherm(char *adresse, char *mnemo,int id_enceinte);
static void Temperature(float Temperature,int id_enceinte);
static float lecture (int id_enceinte);

