#include "plugin.h"

typedef struct {
	char tatoo_voie[30];
	char nom_pilot[128];
	double mesure;
	int type;
	int type_extrem;
} infos_extremum;


static void extremum_nouveau (PInstrument **extremum);
static void extremum_liberer (PInstrument *extremum);
static void extremum_configure (PInstrument *extremum);
static void extremum_get_config (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int extremum_nb_voie (PInstrument *instrument);
static void extremum_get_nom_voie (PInstrument *instrument, int voie, char *nom_voie);
static void extremum_get_nom (PInstrument *extremum, char *nom_instru);
static void extremum_set_nom (PInstrument *extremum, char *nom_instru);
static double extremum_mesure (PInstrument *instrument, int voie);
static void extremum_calculer (PInstrument *instrument);//, ptr_buff_circu *buffer_circu, ptr_buff2D_circu *buffer2D_circu);
static int extremum_init (PInstrument *instrument);

