#include "plugin.h"

typedef struct	
{
	char nom_instru[128];

	char tatoo_voie_fit[30];
	char fonction[500];
	char nom_inconnue[5];
	
	char nom_param1[5];
	char tatoo_param1[30];
	double param1;

	char nom_param2[5];
	char tatoo_param2[30];
	double param2;

	char nom_param3[5];
	char tatoo_param3[30];
	double param3;
	
	char nom_param4[5];
	char tatoo_param4[30];
	double param4;

	// resultats mmoriss
	int taille_voie;

	/* Vestiges d'un temps rvolu ?
	double param1_deduit;
	double param2_deduit;
	double param3_deduit;
	*/
	
	// Zone  ne pas sauvegarder
	
	double *calculs; // faudra malloc
	double *indices; // faudra malloc
	
	// internes
	void *f; // la fonction telle que libmatheval s'en sert
	int num_var; // le nombre de variables identifies dans la fonction
	char **vars; // la liste des variables
	
	double valeurs[4]; // les valeurs associes aux variables
	char variables[5][5]; // liste des variables et l'inconnue (en derniere position)
	
	ptr_buff2D_circu *buffer;
	

	
} infos_fitter;

double ModelFunct (double x, double a[], int ncoef);

static void fitter_nouveau(struct PInstrument **instrument);
static void fitter_liberer(struct PInstrument *instrument);
static void fitter_configure(struct PInstrument *instrument);
static void fitter_stop(struct PInstrument *instrument);
static int fitter_start(struct PInstrument *instrument);
static void fitter_getconfig(PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static void fitter_get_nom(PInstrument *instrument, char *nom_instru);
static void fitter_set_nom(PInstrument *instrument, char *nom_instru);
static int fitter_nb_voie_calcul (struct PInstrument *instrument);
static void fitter_get_nom_voie_calcul (struct PInstrument *instrument, int voie, char *nom_voie);
static double fitter_mesure_calcul (struct PInstrument *instrument, int voie);
static void fitter_calculer_1D (struct PInstrument *instrument);
static int fitter_nbvoie(struct PInstrument *instrument);
static void fitter_get_nom_voie(struct PInstrument *instrument, int voie, char *nom_voie);
static int fitter_taille_voie(struct PInstrument *instrument, int voie);
static void fitter_resultat(struct PInstrument *instrument, int voie, double *mesure);
static void fitter_indices(struct PInstrument *instrument, int voie, double *mesure);
static void fitter_calculer(struct PInstrument *instrument);//, ptr_buff_circu *buffer_circu, ptr_buff2D_circu *buffer2D_circu);
