// fichier powermeter.h

#include "plugin.h"

typedef struct	
	{
	int identificateur;
	int adresse_gpib;
	int capteur;
	int frequence_fonctionnement;
	int stop_interruption;
	int nombre_voie;
	unsigned int numero_mesure[2];
	double zone_memoire[2];
	char nom_instru[128];
	}infos_power;


//int initialisation_powermeter_AB_int(infos_power *data_power);
//int miseenplace_int_powermeter_AB(infos_power *data_power);
int __stdcall CB_interruption_powermeter_AB(int boardOrDevice, int sta, int err, long cntl,void *callbackData);
//int arreter_interruption_powermeter_AB(infos_power *data_power);

static void power_nouveau(PInstrument **power);
static void power_liberer(PInstrument *instru);
static void power_get_nom(PInstrument *instrument, char *nom_instru);
static void power_set_nom(PInstrument *instrument, char *nom_instru);
static void power_configure(PInstrument *power);
static void power_getconfig(PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int power_nb_voie(PInstrument *power);
static void power_get_nom_voie(PInstrument *power, int voie, char *nom_voie);
static double power_mesure(PInstrument *power, int voie);
static unsigned int power_numero(PInstrument *power, int voie);
static int power_digits(PInstrument *power);

static void arreter_interruption_powermeter_AB(PInstrument *power);
int miseenplace_int_powermeter_AB(PInstrument *power);
int initialisation_powermeter_AB_int(PInstrument *power);

int verif_erreur(int identificateur);
