#include "plugin.h"

typedef struct	
{
	char nom[128];
	char tatoo_voie1[30];
	char tatoo_instru[30];
	char template[255];
	char inputstr[255];
	int mode;
	int schedule_cmd;
} infos_boucleur;

static void boucle_nouveau (PInstrument **boucle);
static void boucle_liberer (PInstrument *boucle);
static void boucle_configure (PInstrument *boucle);
static void boucle_get_config (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static int boucle_nb_voie (PInstrument *instrument);
static void boucle_get_nom_voie (PInstrument *instrument, int voie, char *nom_voie);
static void boucle_get_nom (PInstrument *boucle, char *nom_instru);
static void boucle_set_nom (PInstrument *boucle, char *nom_instru);
static double boucle_mesure (PInstrument *instrument, int voie);
static void boucle_calculer (PInstrument *instrument);//, ptr_buff_circu *buffer_circu, ptr_buff2D_circu *buffer2D_circu);
static int boucle_init (PInstrument *instrument);
static void	boucle_execute (PInstrument *instrument, char *chaine);

static void affichage_selon_mode(int panel);
static void template_get(char *dest, char *source);
