#include "plugin.h"

typedef struct	
{
	//int identificateur;
	//int adresse; // GPIB / COM / autre
	char nom_pilot[128];
	double duree;
	int panel_pilotage;
} infos_valve;

static void valve_nouveau(PInstrument **valve);
static void valve_liberer(PInstrument *valve);
static void valve_configure(PInstrument *valve);
static void valve_getconfig (PInstrument *instrument, void** p_strct, void** p_member, size_t* p_size, char* p_bool);
static void valve_get_nom (PInstrument *valve, char *nom_pilot);
static void valve_set_nom (PInstrument *valve, char *nom_pilot);
static int valve_status (PInstrument *valve);
static void valve_execute (PInstrument *valve, char *chaine);
static int valve_init (PInstrument *valve);
static void valve_piloter(PInstrument *valve);
static void pschit_valve(double duree);
void CVICALLBACK CB_pschit_delayed(void *callbackData);
